package com.ruoyi.project.reliability.mapper;

import java.util.List;
import com.ruoyi.framework.aspectj.lang.annotation.DataScope;
import com.ruoyi.project.reliability.domain.TAssetlist;

/**
 * 资产清单Mapper接口
 * 
 * @author ruoyi
 * @date 2020-11-27
 */
public interface TAssetlistMapper 
{
    /**
     * 查询资产清单
     * 
     * @param id 资产清单ID
     * @return 资产清单
     */
    public TAssetlist selectTAssetlistById(Long id);

    /**
     * 查询资产清单列表
     * 
     * @param tAssetlist 资产清单
     * @return 资产清单集合
     */
    @DataScope(deptAlias = "d")
    public List<TAssetlist> selectTAssetlistList(TAssetlist tAssetlist);

    /**
     * 新增资产清单
     * 
     * @param tAssetlist 资产清单
     * @return 结果
     */
    public int insertTAssetlist(TAssetlist tAssetlist);

    /**
     * 修改资产清单
     * 
     * @param tAssetlist 资产清单
     * @return 结果
     */
    public int updateTAssetlist(TAssetlist tAssetlist);

    /**
     * 删除资产清单
     * 
     * @param id 资产清单ID
     * @return 结果
     */
    public int deleteTAssetlistById(Long id);

    /**
     * 批量删除资产清单
     * 
     * @param ids 需要删除的数据ID
     * @return 结果
     */
    public int deleteTAssetlistByIds(Long[] ids);
}
